async function Base64Image_loadImage(src) {
    return new Promise((resolve, reject) => {
        const img = new Image();
        img.crossOrigin = "anonymous";
        img.onload = () => resolve(img);
        img.onerror = () => resolve(null);
        //img.onerror = reject;
        img.src = src;
    });
}

async function Base64Image_loadAllImages(imageUrls) {
    const promises = imageUrls.map(url => Base64Image_loadImage(url));
    const images = await Promise.all(promises);
    return images;
}